require 'forwardable'
require 'remenv/adapter/memory'
require 'remenv/config'
require 'remenv/io'
require 'remenv/version'
require 'remenv/formatter'

module Remenv
  extend Forwardable
  extend self

  def_delegators :adapter, :show, :clear!, :set, :get, :unset
  def_delegators :io, :dump, :load

  def configure
    yield self
  end

  def adapter=(adapter)
    @adapter = adapter
  end

  def adapter
    @adapter ||= Adapter::Memory.new
  end

  def io
    Remenv::IO.new(adapter)
  end
end
