module Remenv
  module Adapter
    class Memory
      attr_reader :store

      def initialize
        clear!
      end

      def show
        store
      end

      def clear!
        @store = {}
      end

      def set(pairs)
        pairs.each do |key, value|
          store[key.to_s] = value.to_s
        end
      end

      def get(key)
        store[key.to_s]
      end

      def unset(*keys)
        keys.each { |key| store.delete(key) }
      end
    end
  end
end
