require 'redis'

module Remenv
  module Adapter
    class Redis
      attr_reader :store, :namespace

      def initialize(url: , namespace: 'remenv')
        @store = ::Redis.new(url: url)
        @namespace  = namespace
      end

      def show
        store.hgetall(namespace)
      end

      def clear!
        store.del(namespace)
      end

      def set(pairs)
        pairs.each do |field, value|
          store.hset(namespace, field, value)
        end
      end

      def get(key)
        store.hget(namespace, key)
      end

      def unset(*keys)
        store.hdel(namespace, keys)
      end
    end
  end
end
