module Remenv
  module Formatter
    extend self

    def pretty(hash)
      hash  ||= {}
      max_len = hash.keys.map(&:size).max
      sorted  = hash.sort_by { |key, _| key }

      sorted.inject('') do |buff, (key, val)|
        buff << "#{key.to_s.ljust(max_len)} #{val}\n"
      end
    end
  end
end
